<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="21701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="BYZ-38-t0r">
    <device id="retina6_12" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21678"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" customModule="CoreDataDemo" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="393" height="852"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <stackView opaque="NO" contentMode="scaleToFill" distribution="fillEqually" alignment="top" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="cgl-xf-Eb0">
                                <rect key="frame" x="16" y="119" width="361" height="120"/>
                                <subviews>
                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" distribution="fillEqually" alignment="center" spacing="15" translatesAutoresizingMaskIntoConstraints="NO" id="17Z-nK-gCZ">
                                        <rect key="frame" x="0.0" y="0.0" width="175.66666666666666" height="91"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Username" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="0mz-Dn-6QJ">
                                                <rect key="frame" x="7.6666666666666714" y="0.0" width="160" height="20.333333333333332"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" constant="160" id="J0S-hX-FPr"/>
                                                </constraints>
                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                <nil key="textColor"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Email" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="B1t-q0-acb">
                                                <rect key="frame" x="7.6666666666666714" y="35.333333333333343" width="160" height="20.333333333333329"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" constant="160" id="ODN-El-baH"/>
                                                </constraints>
                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                <nil key="textColor"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Password" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Tbk-RR-vak">
                                                <rect key="frame" x="7.6666666666666714" y="70.666666666666657" width="160" height="20.333333333333329"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" constant="160" id="Qi7-Cj-dtC"/>
                                                </constraints>
                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                <nil key="textColor"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                    </stackView>
                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" distribution="fillEqually" alignment="center" spacing="5" translatesAutoresizingMaskIntoConstraints="NO" id="3G7-Xe-tQE">
                                        <rect key="frame" x="185.66666666666663" y="0.0" width="175.33333333333337" height="112"/>
                                        <subviews>
                                            <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Ingresa un username" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="pLg-eK-rf9">
                                                <rect key="frame" x="7.6666666666666856" y="0.0" width="160" height="34"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" constant="160" id="qQb-xF-Yhb"/>
                                                </constraints>
                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                <textInputTraits key="textInputTraits"/>
                                            </textField>
                                            <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Ingresa un email" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="8ie-ot-ikz">
                                                <rect key="frame" x="7.6666666666666856" y="39" width="160" height="34"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" constant="160" id="rXA-WQ-dUx"/>
                                                </constraints>
                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                <textInputTraits key="textInputTraits"/>
                                            </textField>
                                            <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Ingresa un password" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="iih-PV-xrd">
                                                <rect key="frame" x="7.6666666666666856" y="78" width="160" height="34"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" constant="160" id="1M6-ob-Ab8"/>
                                                </constraints>
                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                <textInputTraits key="textInputTraits"/>
                                            </textField>
                                        </subviews>
                                    </stackView>
                                </subviews>
                                <constraints>
                                    <constraint firstAttribute="height" constant="120" id="hGt-u0-PiX"/>
                                </constraints>
                            </stackView>
                            <stackView opaque="NO" contentMode="scaleToFill" spacing="48" translatesAutoresizingMaskIntoConstraints="NO" id="cJz-bo-7pW">
                                <rect key="frame" x="92.666666666666686" y="269" width="208" height="34.333333333333314"/>
                                <subviews>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="vVp-jc-eh3">
                                        <rect key="frame" x="0.0" y="0.0" width="80" height="34.333333333333336"/>
                                        <state key="normal" title="Button"/>
                                        <buttonConfiguration key="configuration" style="filled" title="Save"/>
                                        <connections>
                                            <action selector="saveUser:" destination="BYZ-38-t0r" eventType="touchUpInside" id="omk-zt-5Kg"/>
                                        </connections>
                                    </button>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="e6F-az-oQV">
                                        <rect key="frame" x="128" y="0.0" width="80" height="34.333333333333336"/>
                                        <state key="normal" title="Button"/>
                                        <buttonConfiguration key="configuration" style="filled" title="Update"/>
                                        <connections>
                                            <action selector="updateUser:" destination="BYZ-38-t0r" eventType="touchUpInside" id="iYq-Rn-4mN"/>
                                        </connections>
                                    </button>
                                </subviews>
                                <constraints>
                                    <constraint firstAttribute="height" constant="34.329999999999998" id="6hu-4k-0PC"/>
                                    <constraint firstAttribute="width" constant="208" id="WgN-T7-eUh"/>
                                </constraints>
                            </stackView>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="-1" estimatedSectionHeaderHeight="-1" sectionFooterHeight="-1" estimatedSectionFooterHeight="-1" translatesAutoresizingMaskIntoConstraints="NO" id="AL5-gX-wiE">
                                <rect key="frame" x="0.0" y="333.33333333333326" width="393" height="484.66666666666674"/>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <prototypes>
                                    <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" selectionStyle="blue" hidesAccessoryWhenEditing="NO" indentationLevel="1" indentationWidth="0.0" reuseIdentifier="cell" textLabel="pJt-lL-K6g" detailTextLabel="VZ7-UU-DnM" style="IBUITableViewCellStyleValue1" id="zsk-kH-tcH">
                                        <rect key="frame" x="0.0" y="50" width="393" height="43.666667938232422"/>
                                        <autoresizingMask key="autoresizingMask"/>
                                        <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="zsk-kH-tcH" id="Wu9-4c-fXd">
                                            <rect key="frame" x="0.0" y="0.0" width="393" height="43.666667938232422"/>
                                            <autoresizingMask key="autoresizingMask"/>
                                            <subviews>
                                                <label opaque="NO" multipleTouchEnabled="YES" contentMode="left" insetsLayoutMarginsFromSafeArea="NO" text="Title" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="pJt-lL-K6g">
                                                    <rect key="frame" x="20" y="15" width="25" height="14.333333333333334"/>
                                                    <autoresizingMask key="autoresizingMask"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="0.0"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                                <label opaque="NO" multipleTouchEnabled="YES" contentMode="left" insetsLayoutMarginsFromSafeArea="NO" text="Detail" textAlignment="right" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="VZ7-UU-DnM">
                                                    <rect key="frame" x="340.33333333333331" y="15" width="32.666666666666664" height="14.333333333333334"/>
                                                    <autoresizingMask key="autoresizingMask"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="0.0"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                            </subviews>
                                        </tableViewCellContentView>
                                    </tableViewCell>
                                </prototypes>
                            </tableView>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="cgl-xf-Eb0" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" constant="16" id="0WJ-bx-A4y"/>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="trailing" secondItem="cgl-xf-Eb0" secondAttribute="trailing" constant="16" id="3s9-1b-Klu"/>
                            <constraint firstItem="AL5-gX-wiE" firstAttribute="trailing" secondItem="6Tk-OE-BBY" secondAttribute="trailing" id="A2T-Kn-2ci"/>
                            <constraint firstItem="AL5-gX-wiE" firstAttribute="bottom" secondItem="6Tk-OE-BBY" secondAttribute="bottom" id="Msm-mg-zA3"/>
                            <constraint firstItem="cJz-bo-7pW" firstAttribute="top" secondItem="cgl-xf-Eb0" secondAttribute="bottom" constant="30" id="Ofi-90-X6G"/>
                            <constraint firstItem="AL5-gX-wiE" firstAttribute="top" secondItem="cJz-bo-7pW" secondAttribute="bottom" constant="30" id="S1z-Ck-Q7c"/>
                            <constraint firstItem="AL5-gX-wiE" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="eNi-76-qYK"/>
                            <constraint firstItem="cJz-bo-7pW" firstAttribute="centerX" secondItem="8bC-Xf-vdC" secondAttribute="centerX" id="lK8-Eg-BE3"/>
                            <constraint firstItem="cgl-xf-Eb0" firstAttribute="top" secondItem="6Tk-OE-BBY" secondAttribute="top" constant="60" id="oTs-yu-70V"/>
                        </constraints>
                    </view>
                    <connections>
                        <outlet property="emailTextField" destination="8ie-ot-ikz" id="Sh1-Ld-PvL"/>
                        <outlet property="passwordTextField" destination="iih-PV-xrd" id="VzA-gf-B7y"/>
                        <outlet property="tableView" destination="AL5-gX-wiE" id="PRE-Kk-0wC"/>
                        <outlet property="usernameTextField" destination="pLg-eK-rf9" id="QVZ-WD-jRh"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="17.557251908396946" y="3.5211267605633805"/>
        </scene>
    </scenes>
    <resources>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
